<template>
  <basic-container style="position: relative">
    <avue-crud
      :data="infoData"
      :option="options"
      :search.sync="search"
      :table-loading="visible"
      :page.sync="infoPages"
      @search-change="searchChange"
      @search-reset="resetChange"
      @size-change="sizeChange"
      @current-change="currentChange"
    >
    </avue-crud>
  </basic-container>
</template>

<script>
import {policyCount} from '@/api/report/report'
import CustomLoading from "@/components/Custom-Loading/index.vue";
import {dateFormat} from "@/util/date";

const pages = {total: 0, size: 10, currentPage: 1}
const baseOptions = {
  dateBtn: false,
  addBtn: false,
  editBtn: false,
  delBtn: false,
  height: "auto",
  reserveSelection: false,
  border: true,
  columnBtn: false,
  refreshBtn: false,
  menu: false,
  tip: false,
  searchMenuSpan: 6,
  selection: false,
  align: 'center',
}
export default {
  components: {CustomLoading},
  data() {
    return {
      infoPages: Object.assign({}, pages),
      infoData: [],
      visible: false,
      search: {},
    }
  },
  created() {
    this.getList()
  },
  computed: {
    options() {
      return {
        ...baseOptions,
        column: [{
          label: '政策名称',
          prop: 'name2',
          search: true,
          searchSpan: 6,
        }, {
          label: '成功推送总次数',
          prop: 'data1',
        }, {
          label: '日期',
          prop: 'date',
          hide: true,
          display: false,
          type: 'month',
          format: "yyyy-MM",
          valueFormat: "yyyy-MM",
          searchSpan: 6,
          searchRange: true,
          search: true,
        }]
      }
    }
  },
  methods: {
    sizeChange(size) {
      this.infoPages.size = size
      this.getList()
    },
    currentChange(page) {
      this.infoPages.page = page
      this.getList()
    },
    searchChange(values, done) {
      this.getList().then(() => {
        done()
      })
    },
    resetChange() {
      this.search = {}
      let params = {size: 10, current: 1}
      this.getList()
    },
    getList(values) {
      return new Promise(async (resolve, reject) => {
        this.visible = true
        let params = {
          size: this.infoPages.size,
          current: this.infoPages.currentPage,
          ...this.search,
        }
        // if (Array.isArray(this.search.date) && this.search.date.length) {
        //   const [stime, etime] = this.search.date
        //   params.stime = dateFormat(stime, "yyyy-MM-dd")
        //   params.etime = dateFormat(etime, "yyyy-MM-dd")
        //   delete params.date
        // }
        console.log(123123, params)
        let resData = await policyCount(params)
        if (resData.data.code === 200) {
          const {records, current, total, size} = resData.data.data
          this.infoData = records
          this.infoPages = {...this.infoPages, currentPage: current, total, size}
          this.visible = false;
          resolve(true)
        } else {
          reject()
        }
      })
    }
  }
}
</script>

<style scoped lang="scss">

</style>
